Apache log4cxx: ConsoleAppender Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConsoleAppender Class Reference

Inherits WriterAppender.

List of all members.

## Detailed Description

ConsoleAppender appends log events to `stdout` or `stderr` using a layout specified by the user.

The default target is `stdout`.

## Public Member Functions
| ConsoleAppender ()
| ConsoleAppender (const LayoutPtr &layout)
| ConsoleAppender (const LayoutPtr &layout, const LogString &target)
| ~ConsoleAppender ()
void | setTarget (const LogString &value)
| Sets the value of the target property.
LogString | getTarget () const
| Returns the current value of the target property.
void | activateOptions (log4cxx::helpers::Pool &p)
| Derived appenders should override this method if option structure requires it.
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`.
## Static Public Member Functions
static const LogString & | getSystemOut ()
static const LogString & | getSystemErr ()

## Constructor & Destructor Documentation

ConsoleAppender | ( |  | ) |

ConsoleAppender | ( | const LayoutPtr & | layout | ) |

ConsoleAppender | ( | const LayoutPtr & | layout,
|  | const LogString & | target
| ) |

~ConsoleAppender | ( |  | ) |

## Member Function Documentation

void activateOptions | ( | log4cxx::helpers::Pool & | p | ) | `[virtual]`

| Derived appenders should override this method if option structure requires it. Reimplemented from WriterAppender.

static const LogString& getSystemErr | ( |  | ) | `[static]`

static const LogString& getSystemOut | ( |  | ) | `[static]`

LogString getTarget | ( |  | ) | const

| Returns the current value of the target property. The default value of the option is "System.out". See also setTarget.

void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[virtual]`

| Set `option` to `value`. The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called. Reimplemented from WriterAppender.

void setTarget | ( | const LogString & | value | ) |

| Sets the value of the target property. Recognized values are "System.out" and "System.err". Any other value will be ignored.

The documentation for this class was generated from the following file:

- consoleappender.h